Create dialogue node
curl --request POST \
--url https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/dialogues/{graph_id}/nodes \
--header 'Content-Type: application/json' \
--data '
{
"kind": "line",
"text": "",
"speaker_id": "<string>",
"speaker_label": "<string>",
"branches": [
{}
],
"conditions": [
{}
],
"on_enter_effects": [
{}
],
"canvas_x": 123,
"canvas_y": 123
}
'import requests
url = "https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/dialogues/{graph_id}/nodes"
payload = {
"kind": "line",
"text": "",
"speaker_id": "<string>",
"speaker_label": "<string>",
"branches": [{}],
"conditions": [{}],
"on_enter_effects": [{}],
"canvas_x": 123,
"canvas_y": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'line',
text: '',
speaker_id: '<string>',
speaker_label: '<string>',
branches: [{}],
conditions: [{}],
on_enter_effects: [{}],
canvas_x: 123,
canvas_y: 123
})
};
fetch('https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/dialogues/{graph_id}/nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "No valid API key was supplied.",
"doc_url": "https://docs.kitefrost.ai/errors/unauthorized"
}{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"error": "Not found",
"code": "not_found",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "The requested resource does not exist.",
"doc_url": "https://docs.kitefrost.ai/errors/not_found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Rate limit exceeded",
"code": "rate_limited",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "You have exceeded the rate limit for your plan.",
"doc_url": "https://docs.kitefrost.ai/errors/rate_limited"
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}dialogue
Create dialogue node
POST
/
v1
/
projects
/
{project_id}
/
game-narrative
/
dialogues
/
{graph_id}
/
nodes
Create dialogue node
Path Parameters
Body
application/json
Body for POST /v1/projects/{pid}/game-narrative/dialogues/{id}/nodes.
Response
Successful Response
The response is of type Response Create Node V1 Projects Project Id Game Narrative Dialogues Graph Id Nodes Post · object.
⌘I